Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.application
Class DebugOutputMaker

    java.lang.Object
      org.ajax4jsf.application.DebugOutputMaker

    public class DebugOutputMaker

extends java.lang.Object

Version:
  $Revision: 1.1.2.1 $ $Date: 2007/01/09 18:57:11 $
Author:
  asmirnov@exadel.com (latest modification by $Author: alexsmirnov $)

Field Summary
`static java.util.Set<java.lang.String>` | `IGNORE_ATTRIBUTES`

Constructor Summary
`DebugOutputMaker()`

Method Summary
`void` | `writeComponentsTree(javax.faces.context.FacesContext context, java.io.PrintWriter out)`
`void` | `writeContextVariables(javax.faces.context.FacesContext context, java.io.PrintWriter out)`
`void` | `writeErrorMessage(javax.faces.context.FacesContext context, java.lang.Throwable e, java.lang.String phase)` Output error state for lifecycle.
`void` | `writeExceptionStack(java.lang.Throwable e, java.io.PrintWriter out)`
`void` | `writeLog(javax.faces.context.FacesContext context, java.io.PrintWriter out)`
`void` | `writeScriptAndStyle(java.io.PrintWriter out)`
`void` | `writeToggleMark(java.io.PrintWriter out, java.lang.String id)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IGNORE_ATTRIBUTES

    public static final java.util.Set<java.lang.String> IGNORE_ATTRIBUTES

Constructor Detail

### DebugOutputMaker

    public DebugOutputMaker()

Method Detail

### writeErrorMessage

    public void writeErrorMessage(javax.faces.context.FacesContext context,
                                  java.lang.Throwable e,
                                  java.lang.String phase)
                           throws javax.faces.FacesException

  Output error state for lifecycle.

  Parameters:
    `context` -
    `phase` - TODO
    `error` -
  Throws:
    `java.io.IOException`
    `javax.faces.FacesException`

### writeExceptionStack

    public void writeExceptionStack(java.lang.Throwable e,
                                    java.io.PrintWriter out)

  Parameters:
    `e` -
    `out` -

### writeContextVariables

    public void writeContextVariables(javax.faces.context.FacesContext context,
                                      java.io.PrintWriter out)

  Parameters:
    `context` -
    `out` -

### writeComponentsTree

    public void writeComponentsTree(javax.faces.context.FacesContext context,
                                    java.io.PrintWriter out)

  Parameters:
    `context` -
    `out` -

### writeScriptAndStyle

    public void writeScriptAndStyle(java.io.PrintWriter out)

### writeLog

    public void writeLog(javax.faces.context.FacesContext context,
                         java.io.PrintWriter out)
                  throws javax.faces.FacesException

  Parameters:
    `context` -
    `out` -
  Throws:
    `javax.faces.FacesException`

### writeToggleMark

    public void writeToggleMark(java.io.PrintWriter out,
                                java.lang.String id)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.